Bug 849013 - The version in EPEL is too old.
The version in EPEL is too old.
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: sphinx (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christof Damian
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 00:50 EDT by Christopher Meng
Modified: 2013-05-12 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-07 14:13:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2012-08-17 00:50:46 EDT
I hope packager can update it because 0.9.x version is already opsoleted and I believe no one is willing to install that.
Comment 1 Toshio Ernie Kuratomi 2012-08-17 10:57:07 EDT
For RHEL6, python-sphinx is in RHEL (optional channel) so we can't fix that from EPEL.

We do, however, have a python-sphinx10 package in EPEL6 that you can use with some changes to your code: https://admin.fedoraproject.org/updates/python-sphinx10-1.0.8-1.el6

This is installed as a forward compat package.  So it's not installed directly into /usr/lib/python2.6/site-packages.  You'll need to get the actual directory that it installs into the pythonpath for the application you're working on.  The best way to do that is to use setuptools' facilities for this:

In the toplevel script that you're invoking, as soon as possible (it must occur before pkg_resources is imported by any code for the first time):

__requires__ = ['Sphinx >= 1.0']
import pkg_resources
pkg_resources.require('Sphinx >= 1.0')

The when you import sphinx, you'll get the forward compat package instead of the default version.
Comment 2 Toshio Ernie Kuratomi 2012-08-17 10:58:48 EDT
Ah shoot -- I'm so used to answering these that I didn't notice that this is a request for "sphinx" and not "python-sphinx".  Disregard my previous comment :-)
Comment 3 Michel Alexandre Salim 2013-03-05 20:14:18 EST
Any update from the packager? The infrastructure team needs it, so I can help push an update if necessary
Comment 4 Christopher Meng 2013-03-05 20:47:02 EST
(In reply to comment #2)
> Ah shoot -- I'm so used to answering these that I didn't notice that this is
> a request for "sphinx" and not "python-sphinx".  Disregard my previous
> comment :-)

Never mind...

(In reply to comment #3)
> Any update from the packager? The infrastructure team needs it, so I can
> help push an update if necessary

Thanks.
Comment 5 Christof Damian 2013-03-06 03:49:25 EST
(In reply to comment #3)
> Any update from the packager? The infrastructure team needs it, so I can
> help push an update if necessary

That would be helpful. I am very busy right now and sphinx needs a bit more testing then the rest of my packages.
Comment 6 Fedora Update System 2013-04-21 07:42:25 EDT
sphinx-2.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sphinx-2.0.7-1.el6
Comment 7 Fedora Update System 2013-04-21 14:46:10 EDT
Package sphinx-2.0.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing sphinx-2.0.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5498/sphinx-2.0.7-1.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-05-07 14:13:20 EDT
sphinx-2.0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Yury V. Zaytsev 2013-05-10 04:01:52 EDT
FYI, sphinx 2.0.8 is out. Good timing :-)
Comment 10 Christof Damian 2013-05-10 11:20:58 EDT
(In reply to comment #9)
> FYI, sphinx 2.0.8 is out. Good timing :-)

EPEL will always be behind, as it takes two weeks to push to stable on EPEL. I also will probably not push every minor version.
Comment 11 Yury V. Zaytsev 2013-05-10 11:49:04 EDT
Hi Christof,

I know, I just wanted to let you know about the new release.

You might consider pushing this out still, because to update from 2.0.7 -> 2.0.8 one apparently only needs a SPEC bump, while it has bugfixes that are nice to have in production:

http://sphinxsearch.com/blog/2013/05/02/sphinx-2-0-8-release-is-available/

--Yury.
Comment 12 Christopher Meng 2013-05-12 12:32:52 EDT
Ack.

Note You need to log in before you can comment on or make changes to this bug.